Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model
Class ParameterFactoryImpl

    java.lang.Object
      net.fortuna.ical4j.model.AbstractContentFactory
          net.fortuna.ical4j.model.ParameterFactoryImpl

All Implemented Interfaces:
  ParameterFactory

    public final class ParameterFactoryImpl

extends AbstractContentFactory
implements ParameterFactory

A factory for creating iCalendar parameters.

Author:
  Ben Fortuna

Field Summary

Fields inherited from class net.fortuna.ical4j.model.AbstractContentFactory
`factories`

Method Summary
`Parameter` | `createParameter(String name, String value)` Creates a parameter.
`static ParameterFactoryImpl` | `getInstance()`

Methods inherited from class net.fortuna.ical4j.model.AbstractContentFactory
`allowIllegalNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ParameterFactoryImpl getInstance()

  Returns:
    Returns the instance.

### createParameter

    public Parameter createParameter(String name,
                                     String value)
                              throws URISyntaxException

  Creates a parameter.

  Specified by:
    `createParameter` in interface `ParameterFactory`
  Parameters:
    `name` - name of the parameter
    `value` - a parameter value
  Returns:
    a component
  Throws:
    `URISyntaxException` - thrown when the specified string is not a valid representation of a URI for selected parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.